RK-J - Feature #2466

Collect Quiz Preference
06/23/2022 05:06 AM - Ram Kordale

Status: Closed Start date: 06/23/2022
Priority: High Due date: 06/23/2022
Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 4.00 hours
Description

When user reaches the end of a quiz,

-Check if we have the users QuizPreference.

--If yes, ask user "We will be sending your next quiz in X days. Would you like to change that?" [Get X from QuizPreference]

---If user says yes, askUserQuizPreference.

--else ask askUserQuizPreference

askUserQuizPreference: ask user "How often would you like us to send you a Quiz? Every 3 days or Weekly radio button". Once
user gives this info, show "We will be sending your next quiz in X days" (where X is what the user chose now)

History

#1 - 06/23/2022 05:07 AM - Ram Kordale

- Priority changed from Immediate to Urgent

#2 - 06/23/2022 05:58 AM - Rishabh Sharma
- Due date set to 06/23/2022
- Status changed from New to In Progress

- Estimated time set to 2.00 h

#3 - 06/23/2022 10:48 AM - Rishabh Sharma
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 06/27/2022 09:00 AM - Ayush Khandelwal
- Status changed from Resolved to Reopened

- % Done changed from 100 to 50

#5 - 06/29/2022 06:14 AM - Rishabh Sharma
- Status changed from Reopened to In Progress

- % Done changed from 50 to 100

#6 - 06/29/2022 06:14 AM - Rishabh Sharma

- Status changed from In Progress to Resolved

#7 - 06/29/2022 06:14 AM - Rishabh Sharma

- Status changed from Resolved to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#8 - 07/01/2022 05:02 AM - Ram Kordale

- Description updated

#9 - 07/01/2022 05:05 AM - Ayush Khandelwal

- Status changed from Feedback to Reopened

- Assignee changed from Ayush Khandelwal to Rishabh Sharma
- % Done changed from 100 to 50

#10 - 07/01/2022 09:54 AM - Rishabh Sharma

- Status changed from Reopened to In Progress

#11 - 07/01/2022 09:54 AM - Rishabh Sharma
- Status changed from In Progress to Resolved

- % Done changed from 50 to 100

#12 - 07/01/2022 09:54 AM - Rishabh Sharma
- Status changed from Resolved to Feedback

- Assignee changed from Rishabh Sharma to Ayush Khandelwal

#13 - 07/18/2022 02:02 PM - Ram Kordale
- Priority changed from Urgent to High

#14 - 10/21/2022 04:42 PM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

#15 - 03/02/2023 06:36 AM - Ram Kordale
- Status changed from Feedback to Closed
